Classes | Namespaces | Functions
RagTime5StyleManager.cxx File Reference
`#include <iomanip>`
`#include <map>`
`#include <sstream>`
`#include <stack>`
`#include "MWAWCell.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "RagTime5Parser.hxx"`
`#include "RagTime5StructManager.hxx"`
`#include "RagTime5StyleManager.hxx"`

## Classes
struct | RagTime5StyleManagerInternal::ColorFieldParser
| Internal: the helper to read field color field for a RagTime5StyleManager. More...
struct | RagTime5StyleManagerInternal::GraphicFieldParser
| Internal: the helper to read field graphic field for a RagTime5StyleManager. More...
struct | RagTime5StyleManagerInternal::TextFieldParser
| Internal: the helper to read style for a RagTime5StyleManager. More...
struct | RagTime5StyleManagerInternal::State
| Internal: the state of a RagTime5Style. More...

## Namespaces
| RagTime5StyleManagerInternal
| Internal: the structures of a RagTime5Style.

## Functions
std::ostream & | operator<< (std::ostream &o, RagTime5StyleManager::GraphicStyle const &style)
std::ostream & | operator<< (std::ostream &o, RagTime5StyleManager::TextStyle const &style)

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream& operator<< | ( | std::ostream & | o,
|  | RagTime5StyleManager::GraphicStyle const & | style
| ) |  |

## ◆ operator<<() [2/2]

std::ostream& operator<< | ( | std::ostream & | o,
|  | RagTime5StyleManager::TextStyle const & | style
| ) |  |